hpp-corbaserver: hpp::core_impl::ProblemServant< _Base, _Storage > Class Template Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
hpp::core_impl::ProblemServant< _Base, _Storage > Class Template Reference

`#include <hpp/core_idl/_problem-fwd.hh>`

Inheritance diagram for hpp::core_impl::ProblemServant< _Base, _Storage >:
[legend]
Collaboration diagram for hpp::core_impl::ProblemServant< _Base, _Storage >:
[legend]

## Public Types
typedef hpp::core::Problem | HppBase
Public Types inherited from hpp::corbaServer::ServantBase< hpp::core::Problem, _Storage >
typedef _Storage | Storage
typedef weak_ptr< typename Storage::element_type > | StorageElementWkPtr_t
typedef shared_ptr< typename Storage::element_type > | StorageElementShPtr_t
Public Types inherited from hpp::corbaServer::AbstractServantBase< T >
typedef shared_ptr< T > | TShPtr_t
typedef weak_ptr< T > | TWkPtr_t

## Public Member Functions
| SERVANT_BASE_TYPEDEFS (hpp::core_idl::Problem, HppBase)
| ProblemServant (::hpp::corbaServer::Server *server, const _Storage &s)
virtual | ~ProblemServant ()
void | deleteThis ()
::CORBA::Boolean | deleteIfExpired ()
void | persistantStorage (::CORBA::Boolean persistant)
hpp::pinocchio_idl::Device_ptr | robot ()
void | setInitConfig (const hpp::floatSeq &init)
hpp::floatSeq * | getInitConfig ()
void | addGoalConfig (const hpp::floatSeq &goal)
void | resetGoalConfigs ()
hpp::core_idl::Constraint_ptr | getConstraints ()
void | setConstraints (hpp::core_idl::Constraint_ptr constraints)
hpp::core_idl::Distance_ptr | getDistance ()
void | setDistance (hpp::core_idl::Distance_ptr d)
hpp::core_idl::SteeringMethod_ptr | getSteeringMethod ()
void | setSteeringMethod (hpp::core_idl::SteeringMethod_ptr d)
hpp::core_idl::PathValidation_ptr | getPathValidation ()
void | setPathValidation (hpp::core_idl::PathValidation_ptr d)
hpp::core_idl::PathProjector_ptr | getPathProjector ()
void | setPathProjector (hpp::core_idl::PathProjector_ptr p)
hpp::core_idl::ConfigValidation_ptr | getConfigValidations ()
void | clearConfigValidations ()
void | addConfigValidation (hpp::core_idl::ConfigValidation_ptr cfgValidation)
hpp::core_idl::ConfigurationShooter_ptr | getConfigurationShooter ()
void | setConfigurationShooter (hpp::core_idl::ConfigurationShooter_ptr d)
void | filterCollisionPairs ()
void | setSecurityMargins (const hpp::floatSeqSeq &margins)
void | addObstacle (hpp::pinocchio_idl::CollisionObject_ptr object)
void | setParameter (const char *name, const ::CORBA::Any &value)
::CORBA::Any * | getParameter (const char *name)
Public Member Functions inherited from hpp::corbaServer::ServantBase< hpp::core::Problem, _Storage >
virtual | ~ServantBase ()
virtual TShPtr_t | get () const
bool | expired () const final
StorageElementShPtr_t | getT () const
const Storage & | getS () const
void | persistantStorage (bool persistant)
| Set to true if the servant should take ownership of this object.
bool | persistantStorage () const
| See persistantStorage(bool)
void | deleteThis ()
bool | deleteIfExpired ()
Public Member Functions inherited from hpp::corbaServer::AbstractServantBase< T >
virtual | ~AbstractServantBase ()
virtual Server::ServantKey | getServantKey () const

## Additional Inherited Members
Protected Member Functions inherited from hpp::corbaServer::ServantBase< hpp::core::Problem, _Storage >
| ServantBase (Server *server, const Storage &_s)
Protected Member Functions inherited from hpp::corbaServer::AbstractServantBase< T >
| AbstractServantBase (Server *server)
Protected Attributes inherited from hpp::corbaServer::ServantBase< hpp::core::Problem, _Storage >
Storage | wrappedObject_
Protected Attributes inherited from hpp::corbaServer::AbstractServantBase< T >
Server * | server_

## Member Typedef Documentation

## ◆ HppBase

template<typename _Base , typename _Storage >

typedef hpp::core::Problem hpp::core_impl::ProblemServant< _Base, _Storage >::HppBase

## Constructor & Destructor Documentation

## ◆ ProblemServant()

template<typename _Base , typename _Storage >

hpp::core_impl::ProblemServant< _Base, _Storage >::ProblemServant | ( | ::hpp::corbaServer::Server * | server,
|  | const _Storage & | s
| ) |  |

## ◆ ~ProblemServant()

template<typename _Base , typename _Storage >

hpp::core_impl::ProblemServant< _Base, _Storage >::~ProblemServant | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ addConfigValidation()

template<typename _Base , typename _Storage >

void hpp::core_impl::ProblemServant< _Base, _Storage >::addConfigValidation | ( | hpp::core_idl::ConfigValidation_ptr | cfgValidation | ) |

## ◆ addGoalConfig()

template<typename _Base , typename _Storage >

void hpp::core_impl::ProblemServant< _Base, _Storage >::addGoalConfig | ( | const hpp::floatSeq & | goal | ) |

## ◆ addObstacle()

template<typename _Base , typename _Storage >

void hpp::core_impl::ProblemServant< _Base, _Storage >::addObstacle | ( | hpp::pinocchio_idl::CollisionObject_ptr | object | ) |

## ◆ clearConfigValidations()

template<typename _Base , typename _Storage >

void hpp::core_impl::ProblemServant< _Base, _Storage >::clearConfigValidations | ( |  | ) |

## ◆ deleteIfExpired()

template<typename _Base , typename _Storage >

CORBA::Boolean hpp::core_impl::ProblemServant< _Base, _Storage >::deleteIfExpired | ( |  | ) |

## ◆ deleteThis()

template<typename _Base , typename _Storage >

void hpp::core_impl::ProblemServant< _Base, _Storage >::deleteThis | ( |  | ) |

## ◆ filterCollisionPairs()

template<typename _Base , typename _Storage >

void hpp::core_impl::ProblemServant< _Base, _Storage >::filterCollisionPairs | ( |  | ) |

## ◆ getConfigurationShooter()

template<typename _Base , typename _Storage >

hpp::core_idl::ConfigurationShooter_ptr hpp::core_impl::ProblemServant< _Base, _Storage >::getConfigurationShooter | ( |  | ) |

## ◆ getConfigValidations()

template<typename _Base , typename _Storage >

hpp::core_idl::ConfigValidation_ptr hpp::core_impl::ProblemServant< _Base, _Storage >::getConfigValidations | ( |  | ) |

## ◆ getConstraints()

template<typename _Base , typename _Storage >

hpp::core_idl::Constraint_ptr hpp::core_impl::ProblemServant< _Base, _Storage >::getConstraints | ( |  | ) |

## ◆ getDistance()

template<typename _Base , typename _Storage >

hpp::core_idl::Distance_ptr hpp::core_impl::ProblemServant< _Base, _Storage >::getDistance | ( |  | ) |

## ◆ getInitConfig()

template<typename _Base , typename _Storage >

hpp::floatSeq * hpp::core_impl::ProblemServant< _Base, _Storage >::getInitConfig | ( |  | ) |

## ◆ getParameter()

template<typename _Base , typename _Storage >

CORBA::Any * hpp::core_impl::ProblemServant< _Base, _Storage >::getParameter | ( | const char * | name | ) |

## ◆ getPathProjector()

template<typename _Base , typename _Storage >

hpp::core_idl::PathProjector_ptr hpp::core_impl::ProblemServant< _Base, _Storage >::getPathProjector | ( |  | ) |

## ◆ getPathValidation()

template<typename _Base , typename _Storage >

hpp::core_idl::PathValidation_ptr hpp::core_impl::ProblemServant< _Base, _Storage >::getPathValidation | ( |  | ) |

## ◆ getSteeringMethod()

template<typename _Base , typename _Storage >

hpp::core_idl::SteeringMethod_ptr hpp::core_impl::ProblemServant< _Base, _Storage >::getSteeringMethod | ( |  | ) |

## ◆ persistantStorage()

template<typename _Base , typename _Storage >

void hpp::core_impl::ProblemServant< _Base, _Storage >::persistantStorage | ( | ::CORBA::Boolean | persistant | ) |

## ◆ resetGoalConfigs()

template<typename _Base , typename _Storage >

void hpp::core_impl::ProblemServant< _Base, _Storage >::resetGoalConfigs | ( |  | ) |

## ◆ robot()

template<typename _Base , typename _Storage >

hpp::pinocchio_idl::Device_ptr hpp::core_impl::ProblemServant< _Base, _Storage >::robot | ( |  | ) |

## ◆ SERVANT_BASE_TYPEDEFS()

template<typename _Base , typename _Storage >

hpp::core_impl::ProblemServant< _Base, _Storage >::SERVANT_BASE_TYPEDEFS | ( | hpp::core_idl::Problem | ,
|  | HppBase |
| ) |  |

## ◆ setConfigurationShooter()

template<typename _Base , typename _Storage >

void hpp::core_impl::ProblemServant< _Base, _Storage >::setConfigurationShooter | ( | hpp::core_idl::ConfigurationShooter_ptr | d | ) |

## ◆ setConstraints()

template<typename _Base , typename _Storage >

void hpp::core_impl::ProblemServant< _Base, _Storage >::setConstraints | ( | hpp::core_idl::Constraint_ptr | constraints | ) |

## ◆ setDistance()

template<typename _Base , typename _Storage >

void hpp::core_impl::ProblemServant< _Base, _Storage >::setDistance | ( | hpp::core_idl::Distance_ptr | d | ) |

## ◆ setInitConfig()

template<typename _Base , typename _Storage >

void hpp::core_impl::ProblemServant< _Base, _Storage >::setInitConfig | ( | const hpp::floatSeq & | init | ) |

## ◆ setParameter()

template<typename _Base , typename _Storage >

void hpp::core_impl::ProblemServant< _Base, _Storage >::setParameter | ( | const char * | name,
|  | const ::CORBA::Any & | value
| ) |  |

## ◆ setPathProjector()

template<typename _Base , typename _Storage >

void hpp::core_impl::ProblemServant< _Base, _Storage >::setPathProjector | ( | hpp::core_idl::PathProjector_ptr | p | ) |

## ◆ setPathValidation()

template<typename _Base , typename _Storage >

void hpp::core_impl::ProblemServant< _Base, _Storage >::setPathValidation | ( | hpp::core_idl::PathValidation_ptr | d | ) |

## ◆ setSecurityMargins()

template<typename _Base , typename _Storage >

void hpp::core_impl::ProblemServant< _Base, _Storage >::setSecurityMargins | ( | const hpp::floatSeqSeq & | margins | ) |

## ◆ setSteeringMethod()

template<typename _Base , typename _Storage >

void hpp::core_impl::ProblemServant< _Base, _Storage >::setSteeringMethod | ( | hpp::core_idl::SteeringMethod_ptr | d | ) |

The documentation for this class was generated from the following files:

- src/hpp/core_idl/_problem-fwd.hh
- src/hpp/core_idl/_problem.hh